Subject: Re: [PATCH net-next 0/3] net: stmmac: Convert to phylink

From: Andrew Lunn <[email-masked]>
Date: Mon, 22 Jul 2019 16:19:43 +0200

On Mon, Jul 22, 2019 at 01:58:20PM +0000, Jose Abreu wrote:
> From: Andrew Lunn <[email-masked]>
> Date: Jul/22/2019, 14:40:23 (UTC+00:00)
> 
> > Does this mean that all stmmac variants support 1G? There are none
> > which just support Fast Ethernet?
> 
> This glue logic drivers sometimes reflect a custom IP that's Synopsys 
> based but modified by customer, so I can't know before-hand what's the 
> supported max speed. There are some old versions that don't support 1G 
> but I expect that PHY driver limits this ...

If a Fast PHY is used, then yes, it would be limited. But sometimes a
1G PHY is used because they are cheaper than a Fast PHY.
 
> > I'm also not sure the change fits the problem. Why did it not
> > negotiate 100FULL rather than 10Half? You are only moving the 1G
> > speeds around, so 100 speeds should of been advertised and selected.
> 
> Hmm, now that I'm looking at it closer I agree with you. Maybe link 
> partner or PHY doesn't support 100M ?

In the working case, ethtool shows the link partner supports 10, 100,
and 1G. So something odd is going on here.

You fix does seems reasonable, and it has been reported to fix the
issue, but it would be good to understand what is going on here.

    Andrew